CVE-2021-33880

NameCVE-2021-33880
DescriptionThe aaugustin websockets library before 9.1 for Python has an Observable Timing Discrepancy on servers when HTTP Basic Authentication is enabled with basic_auth_protocol_factory(credentials=...). An attacker may be able to guess a password via a timing attack.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow
Debian Bugs989561

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
python-websockets (PTS)stretch3.2-2fixed
buster7.0-1fixed
bullseye, sid8.1-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
python-websocketssourcestretch(not affected)
python-websocketssourcebuster(not affected)
python-websocketssource(unstable)(unfixed)989561

Notes

[buster] - python-websockets <not-affected> (Vulnerable code introduced in 8.0)
[stretch] - python-websockets <not-affected> (Vulnerable code introduced in 8.0)
https://github.com/aaugustin/websockets/commit/547a26b685d08cac0aa64e5e65f7867ac0ea9bc0

Search for package or bug name: Reporting problems